# QuickTeX

Rapidly generate pieces of LaTeX code and preview complex mathematical symbols, equations, and also general pieces of formatted scientific text in real time. QuickTeX is open-source software and is licensed under version three of the GNU General Public License (GNU GPL v3.0).

## Features
- [x] Live preview, as-you-type display of properly formatted and rendered LaTeX code.
- [x] A lightweight extension with a non-intrusive GUI, available in both the Chrome and Firefox extension stores.
- [x] Ability to add and remove commonly used experessions, equations, and general pieces of LaTeX code for use in the QuickTeX editor, through the smart Snippet Configuration Wizard. 
- [x] Auto-save of LaTeX code and any pieces of code that were previously written in the QuickTeX editor.
- [ ] A saving system that allows users to more easily take notes and save notes for different sites at the same time. For instance, if one was reading a paper, they would be able to layout their work in LaTeX as they were reading (as if it was paper), and access it the next time they open that specific site or document.
- [ ] Abiity to access and automatically enter the auto-complete snippets through the Snippet Configuration Wizard. This is similar to the auto-complete capability that one could get in a programming IDE.

## Contributing
Anyone is free to contribute; in fact, you are encouraged to contribute! In the, 'Issues,' tab of this repository, you can see a list of tasks - if you're a beginner, some issues may have the ``good_first_commit`` tag, and will be relatively easy to help you get contributing to open-source software. I also have a [Discord server](https://discord.gg/6WhuVTc) for some of my personal projects, including QuickTeX, so be sure to check that out.

My workflow on this project, if you'd like to follow it, is simply working in Vim, and using Mozilla's handy Web-Ext command (which can be installed through the Node Package Manager) to run ``web-ext run``. This opens a new web browser with the latest version of the software.

## Contact
As mentioned earlier in the section about contributions, the best way to contact me is through [Discord](https://discord.gg/6WhuVTc). If you would like to donate to this project, I've setup a [Patreon](https://www.patreon.com/khr).

## License
The full contents of the license is available in the LICENSE.txt file. Be sure to follow every condition of the license and thoroughly read it before modifying, copying, and/or distributing this code (which is not permitted without thorough accreditation and the release of all source code attributed with the distribution or modification). 

This project was created by me (Arman B.), and likewise will continually be maintained by me.
